package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.yonge.cooleshow.common.enums.ETenantAlbumCategoryType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 机构专辑分类
 * 2024-12-19 16:57:26
 */
@Data
@ApiModel(" AlbumCategory-机构专辑分类")
@TableName("album_category")
public class AlbumCategory implements Serializable {

    @ApiModelProperty("主键ID") 
	    @TableId(value = "id_", type = IdType.AUTO)
	    private Long id;

    @ApiModelProperty("专辑ID") 
	@TableField(value = "album_id_")
    private Long albumId;

    @ApiModelProperty("专辑分类类别 类型 CATEGORY_TYPE 级别 CATEGORY_LEVEL") 
	@TableField(value = "category_type_")
    private ETenantAlbumCategoryType categoryType;

    @ApiModelProperty("专辑分类名称") 
	@TableField(value = "name_")
    private String name;

    @ApiModelProperty("排序") 
	@TableField(value = "sort_")
    private Integer sort;

    @ApiModelProperty("删除标记") 
	@TableField(value = "del_flag_")
    private Boolean delFlag;

    @ApiModelProperty("创建人") 
	@TableField(value = "create_by_")
    private Long createBy;

    @ApiModelProperty("创建时间") 
	@TableField(value = "create_time_")
    private Date createTime;

    @ApiModelProperty("修改人") 
	@TableField(value = "update_by_")
    private Long updateBy;

    @ApiModelProperty("更新时间") 
	@TableField(value = "update_time_")
    private Date updateTime;

}